Ubuntu 6290 Published by

An Open vSwitch security update has been released for Ubuntu Linux 18.04 LTS, 20.04 LTS, 22.04 LTS, and 22.10.



USN-6068-1: Open vSwitch vulnerability


==========================================================================
Ubuntu Security Notice USN-6068-1
May 10, 2023

openvswitch vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 22.10
- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS
- Ubuntu 18.04 LTS

Summary:

Open vSwitch could be made to stop forwarding packets if it received
specially crafted network traffic.

Software Description:
- openvswitch: Ethernet virtual switch

Details:

David Marchand discovered that Open vSwitch incorrectly handled IP packets
with the protocol set to 0. A remote attacker could possibly use this issue
to cause a denial of service.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 22.10:
openvswitch-common 3.0.3-0ubuntu0.22.10.3
python3-openvswitch 3.0.3-0ubuntu0.22.10.3

Ubuntu 22.04 LTS:
openvswitch-common 2.17.5-0ubuntu0.22.04.2
python3-openvswitch 2.17.5-0ubuntu0.22.04.2

Ubuntu 20.04 LTS:
openvswitch-common 2.13.8-0ubuntu1.2
python3-openvswitch 2.13.8-0ubuntu1.2

Ubuntu 18.04 LTS:
openvswitch-common 2.9.8-0ubuntu0.18.04.5
python-openvswitch 2.9.8-0ubuntu0.18.04.5
python3-openvswitch 2.9.8-0ubuntu0.18.04.5

In general, a standard system update will make all the necessary changes.

References:
https://ubuntu.com/security/notices/USN-6068-1
CVE-2023-1668

Package Information:
https://launchpad.net/ubuntu/+source/openvswitch/3.0.3-0ubuntu0.22.10.3
https://launchpad.net/ubuntu/+source/openvswitch/2.17.5-0ubuntu0.22.04.2
https://launchpad.net/ubuntu/+source/openvswitch/2.13.8-0ubuntu1.2
https://launchpad.net/ubuntu/+source/openvswitch/2.9.8-0ubuntu0.18.04.5